Loading...
Searching...
No Matches
BALL::FDPB::Option Struct Reference

`#include <BALL/SOLVATION/poissonBoltzmann.h>`

## Static Public Attributes

static const String | VERBOSITY
static const String | PRINT_TIMING
static const String | SPACING
static const String | BORDER
static const String | IONIC_STRENGTH
static const String | SOLUTE_DC
static const String | SOLVENT_DC
static const String | PROBE_RADIUS
static const String | ION_RADIUS
static const String | TEMPERATURE
static const String | BOUNDARY
static const String | CHARGE_DISTRIBUTION
static const String | DIELECTRIC_SMOOTHING
static const String | OFFSET
static const String | RMS_CRITERION
static const String | MAX_CRITERION
static const String | CHECK_AFTER_ITERATIONS
static const String | MAX_ITERATIONS
static const String | LOWER
static const String | UPPER
static const String | BOUNDING_BOX_LOWER
static const String | BOUNDING_BOX_UPPER

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in FDPB::options.

  For each symbol the required type is given under parameters.

Definition at line 216 of file poissonBoltzmann.h.

## Member Data Documentation

## BORDER

const String BALL::FDPB::Option::BORDER

static

The border of the system. Use this option to define the aumount of space left between the bounding box of the solute and the border of the cubic grid in every direction. Use units of Angstrom with this option. The default is 4 A.

See also
  Default::BORDER

Parameters

  border | float

Definition at line 255 of file poissonBoltzmann.h.

## BOUNDARY

const String BALL::FDPB::Option::BOUNDARY

static

Boundary condition for solving the differential equation. This parameter defines the type of boundary condition will be used for initializing the equation solver. Possible options are: zero, Debye, Coulomb, dipole and focusing. Default is dipole.

See also
  Default::BOUNDARY

Parameters

  boundary_condition | String

Definition at line 308 of file poissonBoltzmann.h.

## BOUNDING_BOX_LOWER

const String BALL::FDPB::Option::BOUNDING_BOX_LOWER

static

The lower corner of the bounding box of the solute molecule. This option works like

See also
  LOWER for the bounding box of the solvent molecule.

Parameters

  bounding_box_lower | Vector3

Definition at line 398 of file poissonBoltzmann.h.

## BOUNDING_BOX_UPPER

const String BALL::FDPB::Option::BOUNDING_BOX_UPPER

static

The upper corner of the bounding box of the solute molecule. This is the analogous option to

See also
  BOUNDING_BOX_LOWER.

Parameters

  bounding_box_upper | Vector3

Definition at line 404 of file poissonBoltzmann.h.

## CHARGE_DISTRIBUTION

const String BALL::FDPB::Option::CHARGE_DISTRIBUTION

static

Charge distribution of the system. This parameter chooses the method used for distributing charges oiver grid points. Possible methods are: trilinear and uniform. The default is uniform.

See also
  Default::BORDER

Parameters

  border | float

Definition at line 317 of file poissonBoltzmann.h.

## CHECK_AFTER_ITERATIONS

const String BALL::FDPB::Option::CHECK_AFTER_ITERATIONS

static

Checking frequency. This option defines the number of iterations which will be performed without checking the criterions. The default is 10.

See also
  Default::CHECK_AFTER_ITERATIONS

Parameters

  check_after_iterations | int

Definition at line 365 of file poissonBoltzmann.h.

## DIELECTRIC_SMOOTHING

const String BALL::FDPB::Option::DIELECTRIC_SMOOTHING

static

Smoothing the dielectric constant. With this option you can choose a smoothing function for the dielectric thus permitting a smooth transition from the inside of the molecule (usually dc = 2.0) to the surrounding solvent (78.5). You have the followin options: none, uniform and harmonic. Default is none. different dielectric constant

See also
  Default::DIELECTRIC_SMOOTHING

Parameters

  dielectric_smoothing | String

Definition at line 329 of file poissonBoltzmann.h.

## ION_RADIUS

const String BALL::FDPB::Option::ION_RADIUS

static

The ion exclusion radius.

See also
  Default::ION_RADIUS

Parameters

  ion_radius | float

Definition at line 292 of file poissonBoltzmann.h.

## IONIC_STRENGTH

const String BALL::FDPB::Option::IONIC_STRENGTH

static

The ionic strength of the salt solution This parameter defines the ionic strength of the salt solution in which the Poisson-Boltzmann calculation takes place. This parameter is given in units of mol/l. The default is 0, i. e. only a Poisson equation will be calculated.

See also
  Default::IONIC_STRENGTH

Parameters

  ionic_strength | float

Definition at line 265 of file poissonBoltzmann.h.

## LOWER

const String BALL::FDPB::Option::LOWER

static

The lower corner of the grid. This option contains the lower corner of the grid. It can be used to fix it before setting up the solver. If this option was not used for initializing the solver gtrid it contains the automatically computed lower corner after the calculation. Use a vector of Angstroms with this option.

Parameters

  lower | Vector3

Definition at line 385 of file poissonBoltzmann.h.

## MAX_CRITERION

const String BALL::FDPB::Option::MAX_CRITERION

static

Define the MAX criterion. This option defines the upper limit for the residuals. If the maximum residuals are below this value and the RMS lies below rms_criterion, the iteration terminates. The default is 1e-4.

See also
  Default::MAX_CRITERION

Parameters

  max_criterion | float

Definition at line 357 of file poissonBoltzmann.h.

## MAX_ITERATIONS

const String BALL::FDPB::Option::MAX_ITERATIONS

static

The upper limit of iterations. Use this option to define the maximum number of iterations to be performed. If the solver does not terminate when this number of iterations is reached, the calculation did not converge. The default is 500 interations.

See also
  Default::MAX_ITERATIONS

Parameters

  max_iterations | int

Definition at line 375 of file poissonBoltzmann.h.

## OFFSET

const String BALL::FDPB::Option::OFFSET

static

Use an offset. This option allows to offset the wohle system by the vector defined in thos option. The calculation does not use an offset by default. Use threedimensional vectors in units of Angstrom with this option.

Parameters

  offset | Vector3

Definition at line 338 of file poissonBoltzmann.h.

## PRINT_TIMING

const String BALL::FDPB::Option::PRINT_TIMING

static

Print the timing for each step.

This prints the timing (if Option::verbosity > 1) of each setup routine and the time needed to solve the equations.

  Results are also included in FDPB::results.

See also
  Default::PRINT_TIMING

Parameters

  print_timing | bool

Definition at line 236 of file poissonBoltzmann.h.

## PROBE_RADIUS

const String BALL::FDPB::Option::PROBE_RADIUS

static

The probe radius used for calculating the SAS of the molecule. This parameter defaults to 1.4 A (water).

See also
  Default::PROBE_RADIUS

Parameters

  probe_radius | float

Definition at line 286 of file poissonBoltzmann.h.

## RMS_CRITERION

const String BALL::FDPB::Option::RMS_CRITERION

static

Define the RMS criterion. This option defines the RMS criterion in Angstrom used for terminating the iteration of the solver. If the RMS lies below rms_criterion and the maximum residuals are below max_criterion, the iteration terminates. The default is 1e-5 Angstrom.

See also
  Default::RMS_CRITERION

Parameters

  rms_criterion | float

Definition at line 348 of file poissonBoltzmann.h.

## SOLUTE_DC

const String BALL::FDPB::Option::SOLUTE_DC

static

The dielectric constant of the solute. This parameter derfaults to 2.0.

See also
  Default::SOLUTE_DC

Parameters

  solute_dielectric_constant | float

Definition at line 272 of file poissonBoltzmann.h.

## SOLVENT_DC

const String BALL::FDPB::Option::SOLVENT_DC

static

The dielectric constant of the solvent. This parameter defaults to 78.0.

See also
  Default::SOLVENT_DC

Parameters

  solvent_dielectric_constant | float

Definition at line 279 of file poissonBoltzmann.h.

## SPACING

const String BALL::FDPB::Option::SPACING

static

The grid spacing in Angstrom. Use this option to define the distance between a grid point and its closest neighbour in units o Angstrom. The default spacing is 0.6 A.

See also
  Default::SPACING

Parameters

  spacing | float

Definition at line 245 of file poissonBoltzmann.h.

## TEMPERATURE

const String BALL::FDPB::Option::TEMPERATURE

static

The temperature of the system. This parameter needs values in units of K. The default temperature is 298.15 K = 25.15 deg C.

See also
  Default::TEMPERATURE

Parameters

  temperature | float

Definition at line 299 of file poissonBoltzmann.h.

## UPPER

const String BALL::FDPB::Option::UPPER

static

The upper corner of the grid. This is the analogous option to

See also
  LOWER.

Parameters

  upper | Vector3

Definition at line 391 of file poissonBoltzmann.h.

## VERBOSITY

const String BALL::FDPB::Option::VERBOSITY

static

The verbosity level. Use integer values with this option. 0 = terse

  99 = tell me everything

See also
  Default::VERBOSITY

Parameters

  verbosity | integer

Definition at line 225 of file poissonBoltzmann.h.